EMAINT(1)

NAME
emaint - performs system health checks and maintenance

SYNOPSIS
emaint [options] [all | binhost | cleanresume | movebin | moveinst | world]

DESCRIPTION
The emaint program provides an interface to system health checks and maintenance.

COMMANDS

all Perform all supported commands.

binhost
    Generate a metadata index for binary packages located in PKGDIR (for download by remote clients). See the PORTAGE_BINHOST documentation in the make.conf(5) man page for additional information.

cleanconfig
    Discard no longer installed config tracker entries.

cleanresume
    Discard merge lists saved for the emerge(1) --resume action.

logs
    Clean out old logs from the PORT_LOGDIR using the command PORT_LOGDIR_CLEAN See the make.conf(5) man page for additional information as well as enabling the 'clean-logs' feature in emerge to do this automatically.

movebin
    Perform package move updates for binary packages located in PKGDIR.

moveinst
    Perform package move updates for installed packages.

world
    Fix problems in the world file.

DEFAULT OPTIONS

-c, --check
    Check for any problems that may exist. (all commands)

-f, --fix
    Fix any problems that may exist. (not all commands)

OPTIONS

-C, --clean
    Cleans the logs from PORT_LOGDIR (logs command only)

-p, --pretend
    Sets pretend mode (same as -c, --check) for use with the -C, --clean OPTION (logs command only)

-t NUM, --time NUM
    Changes the minimum age NUM (in days) of the logs to be listed or deleted. (logs command only)

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

AUTHORS
Mike Frysinger <vapier@gentoo.org>
Brian Dolbec <dolsen@gentoo.org>

FILES

/var/lib/portage/world
    Contains a list of all user-specified packages.

/var/lib/portage/config
    Contains the paths and md5sums of all the config files being tracked.

SEE ALSO
emerge(1), portage(5)